AOZ Studio Beta - Bug #812

Alpha makes images re-appear if slightly below 0.0
08/18/2021 08:49 AM - Paul Kitching

Status: Closed Start date: 08/18/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B8) u15

Description

This should fade the bob, but when it gets to 0 it re-appears as full alpha:

#splashScreen:False
curs off:flash off
for x=1 to 50
ink x
bar rnd(50), rnd(50),10,10
next x
get image 1,0,0,50,50
ba#=1.0
do
if ba#>0 then add ba#,-0.01
bob 1,100,100,1
bob alpha 1,ba#
wait vbl
loop
end

| have to always do things like this line below to stop them appearing again:
if ba#<0 then ba#=0

History

#1 - 08/18/2021 05:38 PM - David Baldwin

Fixed! Negative Alpha values now automatically corrected to zero.

#2 - 08/18/2021 05:38 PM - David Baldwin

- Status changed from New to Resolved

#3 - 09/19/2021 07:09 PM - Paul Kitching

- Status changed from Resolved to Closed
